import request from '@/utils/request'

// 查询调压箱维护列表
export function listRegulatingBoxMaintenance(query) {
  return request({
    url: '/gas/regulatingBoxMaintenance/list',
    method: 'get',
    params: query
  })
}

// 查询调压箱维护详细
export function getRegulatingBoxMaintenance(id) {
  return request({
    url: '/gas/regulatingBoxMaintenance/' + id,
    method: 'get'
  })
}

// 新增调压箱维护
export function addRegulatingBoxMaintenance(data) {
  return request({
    url: '/gas/regulatingBoxMaintenance',
    method: 'post',
    data: data
  })
}

// 修改调压箱维护
export function updateRegulatingBoxMaintenance(data) {
  return request({
    url: '/gas/regulatingBoxMaintenance',
    method: 'put',
    data: data
  })
}
export function batchReview(data) {
  return request({
    url: '/gas/regulatingBoxMaintenance/batchReview',
    method: 'post',
    data: data
  })
}

// 删除调压箱维护
export function delRegulatingBoxMaintenance(id) {
  return request({
    url: '/gas/regulatingBoxMaintenance/' + id,
    method: 'delete'
  })
}


export function getReviewList(data) {
  return request({
    url: '/gas/regulatingBoxMaintenance/reviewList',
    method: 'get',
    params: data
  })
}
